<?php
/**
 * option page
**/
?>
<br />
<h1>네이버 지도 API 페이지</h1><br />
<style>
.outer{
	border: 1px solid #cfcfcf;
	padding: 20px;
	margin-right: 20px;	
}
table.itssue_table{
	width: 1000px;
}
table.itssue_table td{
	width: 75%;
}
table.itssue_table th{
	text-align: right;
	padding-right: 20px;
}
table.itssue_table td input{
	width: 90%;
}
.bar{
	clear: both;
	width: 100%;
	border-top: 1px solid #cfcfcf;	
}
.search {
    position: absolute;
    z-index: 1000;
    top: 20px;
    left: 20px;
	background-color: transparent !important;	
}
.search #address {
    width: 150px;
    height: 20px;
    line-height: 20px;
    border: solid 1px #555;
    padding: 5px;
    font-size: 12px;
    box-sizing: content-box;
}
.search #submit {
    height: 30px;
    line-height: 30px;
    padding: 0 10px;
    font-size: 12px;
    border: solid 1px #555;
    border-radius: 3px;
    cursor: pointer;
    box-sizing: content-box;
}
#map,
.map{
	border: 1px solid #cfcfcf;
}
span.codexy{
	color: #d91e6c;
	font-weight: 600;
}
#searched_LatLng{
	color: #d91e6c;
	width: 300px;
	height: 20px;
	line-height: 20px;
	border: solid 1px #aeaeae;
	padding: 5px;
	font-size: 13px;
	background-color: #fff;
	box-sizing: content-box;	
}
</style>
<div class="outer">
	<form method="post" action="options.php">
		<?php
			settings_fields( 'naver-map-options' );
			do_settings_sections( 'naver-map-options' ); 
		?>	
		<table class="itssue_table">
		<tr>
			<th>
				<label for="naver-map-client-id">Client ID 입력</label>
			</th>
			<td>
				<input name="naver-map-client-id" type="text" id="naver-map-client-id" value='<?php echo get_option( 'naver-map-client-id' ); ?>' class="regular-text" >
			</td>
		</tr>
		</table>
		<?php submit_button(); ?>
	</form>

<?php if( get_option( 'naver-map-client-id' ) != null ): ?>
	<a href="/wp-admin/options-general.php?page=naver-map-sortcode-page" title="숏코드 생성 페이지">숏코드 생성 페이지 바로가기</a>
<?php endif; ?>	
</div>