
<br />
<h1>네이버 지도 코드생성 페이지</h1><br />
<style>
.outer{
	border: 1px solid #cfcfcf;
	padding: 20px;
	margin-right: 20px;	
}
table.itssue_table{
	width: 1000px;
}
table.itssue_table td{
	width: 75%;
}
table.itssue_table th{
	text-align: right;
	padding-right: 20px;
}
table.itssue_table td input{
	width: 90%;
}
.bar{
	clear: both;
	width: 100%;
	border-top: 1px solid #cfcfcf;	
}
.search {
    position: absolute;
    z-index: 1000;
    top: 20px;
    left: 20px;
	background-color: transparent !important;	
}
.search #address {
    width: 150px;
    height: 20px;
    line-height: 20px;
    border: solid 1px #555;
    padding: 5px;
    font-size: 12px;
    box-sizing: content-box;
}
.search #submit {
    height: 30px;
    line-height: 30px;
    padding: 0 10px;
    font-size: 12px;
    border: solid 1px #555;
    border-radius: 3px;
    cursor: pointer;
    box-sizing: content-box;
}
#map,
.map{
	border: 1px solid #cfcfcf;
}
span.codexy{
	color: #d91e6c;
	font-weight: 600;
}
#searched_LatLng{
	color: #d91e6c;
	width: 300px;
	height: 20px;
	line-height: 20px;
	border: solid 1px #aeaeae;
	padding: 5px;
	font-size: 13px;
	background-color: #fff;
	box-sizing: content-box;	
}
.big-size-font{
	font-size: 20px;
}
</style>
<div class="outer">
<?php if( get_option( 'naver-map-client-id' ) != null ): ?>
	<h2>좌표 검색</h2>
	<p>하단 검색창에 도로명 또는 지번 주소를 넣어 좌표값을 찾으면 하단의 숏코드가 완성됩니다.</p>
	<p>지도를 클릭하면 말풍선에 주소가 생성됩니다.  생성된 주소를 검색창에 넣어 숏코드를 완성하세요.</p>	
	<?php
		wp_enqueue_script ( 'map-code-js', plugin_dir_url( __FILE__ ) . 'js/map-code.js', array( 'jquery' ) );
		$naver_map_client_id = get_option( 'naver-map-client-id' ); 
		if ( $naver_map_client_id != null ) {
			echo '<script type="text/javascript" src="https://openapi.map.naver.com/openapi/v3/maps.js?clientId=';
			echo get_option( 'naver-map-client-id' );
			echo '&amp;submodules=panorama,geocoder"></script>';
		}
	?>
	<script type="text/javascript" src="https://openapi.map.naver.com/openapi/v3/maps-geocoder.js"></script>
	<div id="map" style="width:100%;height:400px;">
		<div class="search" style="">
			<label for="address">주소검색: <input id="address" name="address" type="text" placeholder="주소검색" value="" /><label/>
			<input id="submit" type="button" value="주소 검색" />
		</div>
	</div>
	<p class="big-size-font" id="sort_code">[itssue_naver_map zoom="11" latlng="37.653494,127.05018183" id="01"]</p>
	<p>위의 코드를 복사하여 페이지 또는 글에 붙여넣으세요.</p>
	<script type="text/javascript">
	jQuery(document).ready(function($) {

	});
	</script>
<?php endif; ?>
</div>